Last Comment Bug 518865 - Calendar Properties item missing from the SeaMonkey Edit menu.
: Calendar Properties item missing from the SeaMonkey Edit menu.
Status: RESOLVED FIXED
[comm-1.9.1 only]
:
Product: Calendar
Classification: Client Software
Component: Lightning: SeaMonkey Integration (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 1.0b1
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks: 526171 526172
  Show dependency treegraph
 
Reported: 2009-09-25 10:42 PDT by Philip Chee
Modified: 2011-11-07 04:00 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16] (6.30 KB, patch)
2009-10-16 07:51 PDT, Philip Chee
mschroeder: review+
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Philip Chee 2009-09-25 10:42:39 PDT
http://mxr.mozilla.org/comm-central/source/calendar/lightning/content/messenger-overlay-sidebar.xul#125

Thunderbird uses "menu_EditPopup" while SeaMonkey uses "menu_Edit_Popup"
Comment 1 Philip Chee 2009-10-16 07:51:51 PDT
Created attachment 406686 [details] [diff] [review]
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16]

Includes attachment 405777 [details] [diff] [review] from Bug 516882 Comment 9. See also Bug 516882 Comment 7. If this is approved then we can remove the hack we added to SeaMonkey to hide the new message menu item. Later we can add more SeaMonkey specific adjustments to this file.
Comment 2 Ian Neal 2009-10-16 14:30:02 PDT
(In reply to comment #0)
> http://mxr.mozilla.org/comm-central/source/calendar/lightning/content/messenger-overlay-sidebar.xul#125
> 
> Thunderbird uses "menu_EditPopup" while SeaMonkey uses "menu_Edit_Popup"

Wouldn't it be easier to just change SM to use "menu_EditPopup" rather than having a separate overlay?
Comment 3 Philip Chee 2009-10-16 18:14:46 PDT
> Wouldn't it be easier to just change SM to use "menu_EditPopup" rather than
> having a separate overlay?

Unfortunate RC2 is out, or should be out by now.
Comment 4 Philip Chee 2009-10-16 18:16:54 PDT
Might the SeaMonkey Council accept this change for 2.0.1?
Comment 5 Robert Kaiser 2009-10-17 06:53:12 PDT
I fear potentially breaking extensions between 2.0.x versions. This might have been easier if it had come up before freezing up that much and going into final RC.
Comment 6 Ian Neal 2009-10-17 14:37:24 PDT
(In reply to comment #5)
> I fear potentially breaking extensions between 2.0.x versions. This might have
> been easier if it had come up before freezing up that much and going into final
> RC.
Potentially it means extensions have to do less to make themselves compatible with both TB and SM as they can use the same overlay for both when it comes to the edit menu.
Comment 7 Robert Kaiser 2009-10-17 14:41:45 PDT
Ian, I fully understand that, but breaking any extensions in security/stability updates is a very bad idea.
Comment 8 Ian Neal 2009-10-17 15:24:04 PDT
(In reply to comment #7)
> Ian, I fully understand that, but breaking any extensions in security/stability
> updates is a very bad idea.
Do we know if any, other than Lightning, currently overlay the Edit menu?
I'd be expecting any change to an id to be in 2.1 rather than 2.0.x anyway, my quoting you previously probably implied 2.0.x though, sorry. I was replying to the more general reason why we'd want to change the id.
Comment 9 Robert Kaiser 2009-10-17 16:48:50 PDT
I'm perfectly happy with doing that id change in 2.1, it's 2.0.x what I was sensible to ;-)

Unfortunately, I don't think we have any reasonable possibility right now to find out who else might be using that ID :(
Comment 10 Philip Chee 2009-10-17 17:58:50 PDT
1. Actually this ID is shared with Navigator via an overlay so there are three places where we have to change it.
2. This will actually make it easier for Firefox extensions to be ported to SeaMonkey as Thunderbird was just following the TB lead.
3. The rest of /suite/ actually uses menu_EditPopup.

I'd vote for this making 2.1. In the mean time we still want this fix in Lighting for SeaMonkey 2.0x
Comment 11 Karsten Düsterloh 2009-10-18 06:46:09 PDT
I wonder if would be a worthwhile endeavour to standardize a set of common (menuitem) ids across Mozilla-based applications to ease the work of extension authors...
Comment 12 Martin Schröder [:mschroeder] 2009-10-21 09:51:43 PDT
Comment on attachment 406686 [details] [diff] [review]
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16]

r=mschroeder. Looks good (from a Calendar Project pov), but maybe a SeaMonkey reviewer should also have a look at this patch. One nit: We have suite-overlay-messenger.xul and communicator-overlay-preferences.xul in lightning/content with this patch. You should decide which prefix SeaMonkey related files should use, suite or communicator.
Comment 13 Robert Kaiser 2009-10-21 09:53:25 PDT
I'd prefer to go for suite everywhere, communicator is a Netscape-ism only, IMHO.
Comment 14 Philip Chee 2009-10-21 10:19:01 PDT
Comment on attachment 406686 [details] [diff] [review]
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16]

> r=mschroeder. Looks good (from a Calendar Project pov), but maybe a SeaMonkey
> reviewer should also have a look at this patch.

Thanks! Asking for additional review from IanN
Comment 15 Ian Neal 2009-10-26 14:27:14 PDT
Comment on attachment 406686 [details] [diff] [review]
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16]

r=me but only for comm-1.9.1, on comm-central we can, with suitable notification to extension developers, change the id for the edit menu on SeaMonkey.
Comment 16 Ian Neal 2009-11-02 14:18:59 PST
Comment on attachment 406686 [details] [diff] [review]
Patch v1.0 Add Edit->Calendar Properties menu item to SeaMonkey [comm-1.9.1 Checkin: Comment 16]

http://hg.mozilla.org/releases/comm-1.9.1/rev/34a5ec85f7fc
Comment 17 Ian Neal 2009-11-02 14:23:32 PST
Will you use this bug or another for switching SM to use the same ID for the Edit menu as TB?
Comment 18 Philip Chee 2009-11-02 16:54:47 PST
> Will you use this bug or another for switching SM to use the same ID for the
> Edit menu as TB?

I'll file another bug under the SeaMonkey product since the flags there are more suitable.
Comment 19 Martin Schröder [:mschroeder] 2009-11-02 23:40:52 PST
Please file also a bug for renaming communicator-overlay-preferences.xul as discussed in comment#12 and comment#13.
Comment 20 Philipp Kewisch [:Fallen] 2011-11-07 04:00:25 PST
These bugs are likely targeted at Lightning 1.0b1, not Lightning 1.0. If this change was done in error, please adjust the target milestone to its correct value. To filter on this bugspam, you can use "lightning-10-target-move".

Note You need to log in before you can comment on or make changes to this bug.